//= require jquery3
//= require rails-ujs
//= require popper
//= require bootstrap-sprockets
//= require material.min

function shopappSnackbar(message, timeout) {
  if(timeout === undefined) {
    timeout = 5000;
  }
  $('body').append("<div class=\"snackbar snackbar-left show\"><div class=\"snackbar-body\">" +
                   message +
                   "</div></div>");
  setTimeout(function() {
    $('.snackbar').removeClass('show');
  }, timeout);
}

function shopappAlert(message, type) {
  if (type === undefined) {
    type = 'danger';
  }
  $('main > div:nth-child(2) > div:first-child').append(
      '<div class="alert alert-' + type + ' alert-dismissible fade mt-3 show" role="alert">' +
      message +
      '<button aria-label="Close" class="close" data-dismiss="alert" type="button"><span aria-hidden="true">×</span></button></div>');
}

// Following makes BS tooltips work. See /views/layouts/application.html.haml
$(function() {
  $('[data-tooltip="tooltip"]').tooltip();
  $('[data-toggle="tooltip"]').tooltip();
});
