require 'active_support/concern'

module Shopapp3
  extend ActiveSupport::Concern

  included do
  end

  class_methods do
    attr_reader :sidebar_actions_array
    def sidebar_action(params)
      @sidebar_actions_array ||= []
      @sidebar_actions_array << params
    end
  end

  def sidebar_actions_list
    self.class.sidebar_actions_array || [
      {
        path: '/',
        icon: 'shopapp3/icon-1.svg',
        tooltip: 'Application Home',
      },
      {
        path: 'https://accounts.shoplift.fi',
        icon: 'shopapp3/icon-3.svg',
        tooltip: 'My Account',
      },
    ]
  end
end
