require 'active_support/concern'

module ShopliftSearch
  extend ActiveSupport::Concern

  included do
    before_action :get_search
  end

  class_methods do
  end

  def get_search
    @search = params.permit(:search)[:search]
    @search_query = if @search.present?
                      { search: @search }
                    else
                      {}
                    end
  end
end