module EuroHelper
  def nbsp
    [160].pack('U*')
  end

  def euros(number_in_euros)
    number_to_currency number_in_euros, unit: "€", separator: ",", delimiter: nbsp, format: "%n#{nbsp}%u"
  end

  def cents(number_in_cents)
    euros(number_in_cents / 100.to_d)
  end
end
