require 'shopapp/panicker_api'

module Panicker
  extend ActiveSupport::Concern

  def message(text_to_send = '', bot: nil, target: nil, txt: nil)
    txt ||= text_to_send
    Rails.logger.warn "Posting for company #{code}, target: #{target}, message: #{txt}, not_markdown: true"
    PanickerApi.general_message(text_to_send, bot: bot, target: target, txt: txt, company: self)
  rescue
    Rails.logger.error "Silently failing sending panicker a message #{txt} for company #{code}"
    Rails.logger.error $!
  end
end
