//= require jquery3
//= require rails-ujs
//= require popper
//= require bootstrap-sprockets
//= require material.min

$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})

$('.snackbar-toggler').click(function() {
  $('.snackbar').addClass('show');
});

(function() {

  window.inputNumber = function(el) {

    var min = el.attr('min') || false;
    var max = el.attr('max') || false;

    var els = {};

    els.dec = el.prev();
    els.inc = el.next();

    el.each(function() {
      init($(this));
    });

    function init(el) {

      els.dec.on('click', decrement);
      els.inc.on('click', increment);

      function decrement() {
        var value = el[0].value;
        value--;
        if(!min || value >= min) {
          el[0].value = value;
        }
      }

      function increment() {
        var value = el[0].value;
        value++;
        if(!max || value <= max) {
          el[0].value = value++;
        }
      }
    }
  }
})();

inputNumber($('.input-number'));
