class ActionDispatch::Routing::Mapper
  def shoplift_single_sign_on
    get 'auth', to: 'auth#auth'
    post 'auth/change_company/:new_company_code', to: 'auth#change_company', as: 'change_company'
    post 'auth/change_language/:new_language_code', to: 'auth#change_language', as: 'change_language'
    delete 'auth', to: 'auth#destroy', as: 'logout'
    get 'change_password', to: 'auth#change_password', as: 'change_password'

    get 'login', to: 'shopapp_login#welcome', as: 'login_message'
  end
end
